Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.i2p.crypto
Class DummyElGamalEngine

    java.lang.Object
      net.i2p.crypto.ElGamalEngine
          net.i2p.crypto.DummyElGamalEngine

    public class DummyElGamalEngine

extends ElGamalEngine

Fake ElG E and D, useful for when performance isn't being tested

Author:
  jrandom

Constructor Summary
`DummyElGamalEngine(I2PAppContext context)` The ElGamal engine should only be constructed and accessed through the application context.

Method Summary
`byte[]` | `decrypt(byte[] encrypted, PrivateKey privateKey)` Decrypt the data
`byte[]` | `encrypt(byte[] data, PublicKey publicKey)` encrypt the data to the public key

Methods inherited from class net.i2p.crypto.ElGamalEngine
`main`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DummyElGamalEngine

    public DummyElGamalEngine(I2PAppContext context)

  The ElGamal engine should only be constructed and accessed through the application context. This constructor should only be used by the appropriate application context itself.

Method Detail

### encrypt

    public byte[] encrypt(byte[] data,
                          PublicKey publicKey)

  encrypt the data to the public key

  Overrides:
    `encrypt` in class `ElGamalEngine`
  Parameters:
    `publicKey` - public key encrypt to
    `data` - data to encrypt
  Returns:
    encrypted data

### decrypt

    public byte[] decrypt(byte[] encrypted,
                          PrivateKey privateKey)

  Decrypt the data

  Overrides:
    `decrypt` in class `ElGamalEngine`
  Parameters:
    `encrypted` - encrypted data
    `privateKey` - private key to decrypt with
  Returns:
    unencrypted data

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD